{
    "display": {
        "icon": {
            "item": "minecraft:firework_rocket"
        },
        "title": {
            "translate": "Firework"
        },
        "description": {
            "translate": "Cause baby you're a firework..."
        },
        "frame": "challenge",
        "show_toast": false,
        "announce_to_chat": false,
        "hidden": true
    },
    "criteria": {
        "asdad": {
            "trigger": "minecraft:consume_item",
            "conditions": {
                "item": {
                    "item": "minecraft:potion",
                    "nbt": "{display:{Lore:[\"\\\"Have you ever wanted to be a firework?\\\"\"]}}"
                }
            }
        }
    },
    "rewards": {
        "experience": 10,
        "function": "zzzzdonotuse:advancements/fireworkpotion"
    }
}
